Subject: Re: CVS domivogt: * Applied fixed restart patch.

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 1 Jun 1999 15:56:59 +0300 (IDT)

On Mon, 31 May 1999, Bob Woodside wrote:

> Mikhael Goikhman wrote:
> >
> > I think neither "fvwm" nor "fvwm2" is correct here. As it is noted in TODO
> > section of the patch, the right thing is to cut a comparing string from
> > g_args[0]. So, if you have a fvwm binary named /usr/bin/abrakadabra
> >"Restart abrakadabra" must be processed as a native restart
> 
> 	I have to agree with this.
> 
> > (with fvwm arguments added) and other commands - as foreign restarts,
> > even "Restart fvwm2", since it is not the current running program.
> 
> 	However, I have several versions of FVWM that I frequently restart;
> they have different names, all starting with "fvwm".

How do you restart them? If using "Restart fvwm-19990601",
the solution is to restart them as "Restart fvwm-19990601 -restart"
or "Restart fvwm-19990601 -restore ~/.fvwm_restart",
when a command parsing will be implemented (I hope soon).

Note, "-restart" argument does not exist yet, it is just my old intention
to add it ("-restore" exists). "-restart" will run RestartFunction
instead of InitFunction.

> 	I don't think this invalidates your argument. I think instead that it
> calls into question the technique of adding new arguments (like
> "-restart") to the original ones. (We're sort of stuck with the "-s" one
   ^^^^^^^^
   -restore
> for backward compatibility; and for backward compatibility, you really
> do need to match "fvwm*" for this one.)

I am not sure about "-s". What is exactly this backward compatibility
argument? I still think that you can't determine anything about a program
by its executable name.

> > I am not sure whether it is a good idea to accept arguments for a native
> > restart, like "Restart fvwm2 -f new".
> 
> 	Perhaps if arguments are accepted, they should replace the original
> args, not be appended to them. Thus any program, even if its name
> happens to match g_args[0], would be treaded as non-native; and the user
> would be responsible for getting the args right.

Yes, this is exactly what I wanted to do.
Also, unless someone converts me, I want to replace the substring matching
by the exact matching (without paths). This is just incorrect to match the
way it is now or it was; suppose my user-name is "fvwm", all my commands
in /home/fvwm/bin will be matched. :)

Regards,
Mikhael.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Bob Woodside <[email-masked]>
Date: Tue, 01 Jun 1999 23:33:20 -0400

Mikhael Goikhman wrote:
> 
> Note, "-restart" argument does not exist yet...

	Right...my using that example was just a dumb typo, not a psychic
divination of your idea to do this.  :-)

> argument? I still think that you can't determine anything about a program

	FVWM has been using the "-s" hack on Restart since version 1, to
prevent the new instance from trying to spawn multiple FVWM's to manage
multiple screens. Since it always does this on a Restart, it would
probably have been better just to *assume* a "-s" when restarting; but
unfortunately we can't go back and change all the old versions to Do The
Right Thing.

> in /home/fvwm/bin will be matched. :)

	A good point. Not too likely to happen, I think, but a good point.

	Thinking about the "-s" question brings another question to my mind.
Has anyone given much thought to the implications of the case where
there are multiple instances of FVWM managing multiple screens, all
trying to use the same restart file? Should the filename perhaps carry a
component identifying the display in use by a particular instance of
FVWM?

- Bob

---

From: Matthias Clasen <[email-masked]>
Date: Wed, 2 Jun 1999 08:28:00 +0200

> component identifying the display in use by a particular instance of

Another good point. We should change ".fvwm_restart" to a name
including screen (and display ?).

Matthias

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Albrecht Kadlec <[email-masked]>
Date: 09 Jun 1999 13:13:23 +0200

> including screen (and display ?).

Maybe we shouldn't do that, since we might regret it, when we eventually do
native support for multiple displays - but maybe it will fit in nicely ...

Like the -s this can be a severe compatibility issue for later versions.

sorry, I just wanted this issue to be discussed first
-- 
Albrecht Kadlec
Vienna University of Technology / Department of Automation
----------------------------------------------------------
A news reader I have used "WinVn" sometimes would say "busy, what a
bit", which meant try again in a little while.... :^)
					-- found in a newsgroup
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]